<?php

namespace Myvetshop\Module\Clinique\Generated\Jane\Model;

class OrdersGetResponse200ItemDiscountsItem extends \ArrayObject
{
    /**
     * @var array
     */
    protected $initialized = [];

    public function isInitialized($property): bool
    {
        return array_key_exists($property, $this->initialized);
    }
    /**
     * @var int
     */
    protected $id;
    /**
     * @var string
     */
    protected $valueTaxExcl;
    /**
     * @var string
     */
    protected $valueTaxIncl;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     *
     * @return self
     */
    public function setId(int $id): self
    {
        $this->initialized['id'] = true;
        $this->id = $id;

        return $this;
    }

    /**
     * @return string
     */
    public function getValueTaxExcl(): string
    {
        return $this->valueTaxExcl;
    }

    /**
     * @param string $valueTaxExcl
     *
     * @return self
     */
    public function setValueTaxExcl(string $valueTaxExcl): self
    {
        $this->initialized['valueTaxExcl'] = true;
        $this->valueTaxExcl = $valueTaxExcl;

        return $this;
    }

    /**
     * @return string
     */
    public function getValueTaxIncl(): string
    {
        return $this->valueTaxIncl;
    }

    /**
     * @param string $valueTaxIncl
     *
     * @return self
     */
    public function setValueTaxIncl(string $valueTaxIncl): self
    {
        $this->initialized['valueTaxIncl'] = true;
        $this->valueTaxIncl = $valueTaxIncl;

        return $this;
    }
}
